#!/usr/bin/env python3

from nsf_recording import nsf_recording
import sys
import json

def main():

	rec = nsf_recording("wave_test.nsf")
	wave_list = rec.list_waveforms()
	rec.close()

	print
	print(json.dumps(wave_list,indent=2))
	print

	return 0

#
# Entry point.
#
if __name__ == "__main__":
	sys.exit(main())

